Threads
Stream a run
Invokes the assistant on a thread and streams the response as NDJSON. The thread must contain at least one user message and end on a user or tool message. An assistant message requesting tool calls must be followed by the corresponding tool messages. For every tool message, a corresponding assistant message with the same tool_call_id must exist.
POST
/v1/threads/{thread_id}/run/streamAuthorization
APIKeyHeader api-key<token>
In: header
Path Parameters
thread_id*|null
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/run/stream" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2025-03-15T09:13:02.654321Z", "delta": { "content": "Während der Probezeit beträgt die Kündigungsfrist ", "role": "assistant", "sources": [] }, "message_id": "5e6f7081-9012-def0-1234-556677889900", "thread_id": "1a2b3c4d-5678-9abc-def0-112233445566"}{ "error_code": "content_filter_error", "detail": "Could not parse response content as the request was rejected by the content filter."}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "assistant_not_found", "detail": "Assistant not found"}{ "error_code": "engine_does_not_support_streaming", "detail": "The selected engine does not support streaming responses. Please use the non-streaming endpoint."}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}